<bugID>1345400<Summary>Partial bypass of the "Insecure password" warning in Firefox 52</Summary><Description>User Agent: Mozilla/5.0 (X11; Ubuntu; Linux x86_64; rv:52.0) Gecko/20100101 Firefox/52.0
Build ID: 20170303012758

Steps to reproduce:

The &#8220;This connection is not secure&#8221; warning on username and password fields on pages that don&#8217;t use HTTPS can be partially "bypass" on the username field by using type="textarea" instead of type="text" in an input field.

The warning will appear only on the password field and not on the username field.


Actual results:

The following tag raises a warning: 
&lt;input id="POST-name" type="text" name="username"&gt;

The following tag does not: 
&lt;input id="POST-name" type="textarea" name="username"&gt;



Expected results:

The warning should appear too.</Description></bugID>